# Uses of Interface
org.eclipse.emf.compare.graph.PruningIterator

Packages that use PruningIterator
Package
Description
org.eclipse.emf.compare.graph
org.eclipse.emf.compare.internal.utils

## Uses of PruningIterator in org.eclipse.emf.compare.graph

Methods in org.eclipse.emf.compare.graph that return PruningIterator
Modifier and Type
Method
Description
`PruningIterator<E>`
IGraph.`breadthFirstIterator()`
Returns a breadth-first iterator over this whole graph.
`PruningIterator<E>`
IGraphView.`breadthFirstIterator()`
Returns a breadth-first iterator over this whole graph.

## Uses of PruningIterator in org.eclipse.emf.compare.internal.utils

Methods in org.eclipse.emf.compare.internal.utils that return PruningIterator
Modifier and Type
Method
Description
`PruningIterator<E>`
Graph.`breadthFirstIterator()`
Returns a breadth-first iterator over this whole graph.
`PruningIterator<E>`
ReadOnlyGraph.`breadthFirstIterator()`
Returns a breadth-first iterator over this whole graph.